import type { Database } from '@db/sqlite';
import { sql } from './queries.ts';

/**
 * Get all CCNs from the database
 */

export function getAllCCNs(db: Database): { pubkey: string; name: string }[] {
  return sql`SELECT pubkey, name FROM ccns`(db) as {
    pubkey: string;
    name: string;
  }[];
}
