import type { Database } from '@db/sqlite';
import type * as nostrTools from '@nostr/tools';
import { sql } from '../utils/queries.ts';

export function getEncryptedEventByOriginalId(
  db: Database,
  event: nostrTools.VerifiedEvent,
) {
  return sql`
		SELECT * FROM events WHERE original_id = ${event.id}
	`(db)[0];
}
