import type { Database } from 'jsr:@db/sqlite';
import { CHUNK_MAX_AGE } from '../consts.ts';
import { sql } from './queries.ts';

export function cleanupOldChunks(db: Database) {
  const cutoffTime = Math.floor((Date.now() - CHUNK_MAX_AGE) / 1000);
  sql`DELETE FROM event_chunks WHERE created_at < ${cutoffTime}`(db);
}
