export function isReplaceableEvent(kind: number): boolean {
  return (kind >= 10000 && kind < 20000) || kind === 0 || kind === 3;
}

export function isAddressableEvent(kind: number): boolean {
  return kind >= 30000 && kind < 40000;
}

export function isRegularEvent(kind: number): boolean {
  return (
    (kind >= 1000 && kind < 10000) ||
    (kind >= 4 && kind < 45) ||
    kind === 1 ||
    kind === 2
  );
}

export function isDeleteEvent(kind: number): boolean {
  return kind === 5;
}

export function isCCNReplaceableEvent(kind: number): boolean {
  return kind >= 60000 && kind < 65536;
}
