export function parseATagQuery(aTagValue: string): {
  kind: number;
  pubkey: string;
  dTag?: string;
} {
  const parts = aTagValue.split(':');
  if (parts.length < 2) return { kind: 0, pubkey: '' };

  return {
    kind: Number.parseInt(parts[0], 10),
    pubkey: parts[1],
    dTag: parts.length > 2 ? parts[2] : undefined,
  };
}
